using Insight.Domain.Enums;
using MemoryPack;

namespace Insight.Domain.Network.Remote.Messages;

[MemoryPackable]
public partial class RemoteSessionRequest : IMessage
{
    [MemoryPackOrder(0)]
    public RemoteControlMode Mode { get; set; }

    [MemoryPackOrder(1)]
    public string? AccessKey { get; set; }

    [MemoryPackOrder(2)]
    public string? Hostname { get; set; }
}

[MemoryPackable]
public partial class RemoteSessionResponse : IMessage
{
    [MemoryPackOrder(0)]
    public string? SessionId { get; set; }
}